## ubuntu-themes 20.10

=== Makefile ===
THEME = dark light
SIZES = 22 24
ICONS = nm-device-wired \
	nm-signal-00 nm-signal-25 nm-signal-50 nm-signal-75 nm-signal-100 \
	gsm-3g-none gsm-3g-low gsm-3g-medium gsm-3g-high gsm-3g-full
PADLOCK = nm-vpn-lock.svg
FILES = $(foreach t,$(THEME),$(foreach s,$(SIZES),$(foreach i,$(ICONS),ubuntu-mono-$t/status/$s/$i-secure.svg)))

all: $(FILES)

%-secure.svg: %.svg 
	./scavenge.py -o $@ $^ $(dir $@)$(PADLOCK)

clean:
	-rm -f $(FILES)

.PHONY: all clean

## ubuntu-themes 19.04-0ubuntu3+10.0trisquel2

=== debian/changelog ===
ubuntu-themes (19.04-0ubuntu3+10.0trisquel2) nabia; urgency=medium

  * Rebrand logo for trisquel mono themes.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Fri, 21 Jun 2024 06:40:41 +0000

ubuntu-themes (19.04-0ubuntu3) focal; urgency=medium

  * Preserve namespace declarations in the script that combines multiple
    SVG files into one (LP: #1867766)

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Tue, 17 Mar 2020 16:56:03 +0100

ubuntu-themes (19.04-0ubuntu2) focal; urgency=medium

  * Move from using python to using python3.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 14 Nov 2019 10:17:18 -0800

ubuntu-themes (19.04-0ubuntu1) disco; urgency=medium

  [ Khurshid Alam ]
  * Don't use icon hover bg color on nemo desktop (LP: #1814506)

 -- Didier Roche <didrocks@ubuntu.com>  Wed, 13 Feb 2019 15:45:56 +0100

ubuntu-themes (16.10+18.10.20181005-0ubuntu1) cosmic; urgency=medium

  [ Khurshid Alam ]
  * Remove nonexistent gnome-builder.css (LP: #1773045)

  [ Marco Trevisan (Treviño) ]
  * Radiance: fix typo in assets link for focused buttons (LP: #1781736)
  * Radiance: Use scaled image for buttons border (LP: #1781736)
  * Ambiance, Radiance: don't use padding on window buttons for chromium
    (LP: #1782038)
  * Ambiance: use default foreground color for toolbar menus (LP:
    #1758841)
  * Ambiance, Radiance: show proper arrow in combobox (LP: #1743373)
  * Ambiance, Radiance: use default disabled color for actions headerbar
    buttons (LP: #1785699)
  * Ambiace, Radiance: use headerbar destructive-action definition for
    buttons
  * Ambiance, Radiance: fix list selected color for gnome-boxes (LP:
    #1761684)
  * Ambiance, Radiance: properly theme disabled and hovered accelerators
    (LP: #1795895)

 -- Marco Trevisan (Treviño) <mail@3v1n0.net>  Fri, 05 Oct 2018 00:13:07 +0000

ubuntu-themes (16.10+18.04.20180421.1-0ubuntu1) bionic; urgency=medium

  [ Carlo Lobrano ]
  * Ambiance, Radiance: Review of pathbar and stackswitcher buttons (LP:
    #1765561)

  [ Marco Trevisan (Treviño) ]
  * Ambiance, Radiance: add missing global color definitions (LP:
    #1759795, #1762841)
  * Ambiance, Radiance: fix complex headerbars such as gnome-builder one
    (LP: #1762783)
  * Ambiance, Radiance: no need to add icon-shadow for appmenu
  * Ambiance, Radiance: add some transparency to links color when in
    backdrop
  * Ambiance, Radiance: uniform the bg color of decoration and menubar
    (LP: #1759754)
  * Ambiance, Radiance: use proper colors for drop actions on places
    sidebar (LP: #1707606)
  * Ambiance, Radiance: define color for infobar and implement backdrop
    state (LP: #1765882)

 -- Marco Trevisan (Treviño) <mail@3v1n0.net>  Sat, 21 Apr 2018 02:47:57 +0000

ubuntu-themes (16.10+18.04.20180328-0ubuntu1) bionic; urgency=medium

  * Ambiance, Radiance: use static bg imgs for window buttons and add
    padding (LP: #1693609)
  * Ambiance, Radiance: don't use any background image (gradient) when
    in backdrop
  * Ambiance, Radiance: add more specific selectors for scale states
    (LP: #1759481)
  * Ambiance, Radiance: set top and bottom margins for switch and
    separators in headerbar (LP: #1693474)

 -- Marco Trevisan (Treviño) <mail@3v1n0.net>  Wed, 28 Mar 2018 06:27:32 +0000

ubuntu-themes (16.10+18.04.20180322.4-0ubuntu1) bionic; urgency=medium

  * Ambiance, Radiance: theme the places sidebar buttons to match parent
  * Ambiance, Radiance: Remove the gap between the popover and tip, add
    border

 -- Marco Trevisan (Treviño) <mail@3v1n0.net>  Thu, 22 Mar 2018 17:38:18 +0000

ubuntu-themes (16.10+18.04.20180322.3-0ubuntu1) bionic; urgency=medium

  [ Daniel van Vugt ]
  * Remove an old workaround which would force combobox menu text (LP:
    #1725921)

  [ Marco Trevisan (Treviño) ]
  * list, row: set padding, use white bg and hover effect on activatable
    (LP: #1755351, #1757471)
  * Ambiance: add proper theming for horizontal and vertical linked
    items
  * Ambiance, Radiance: use proper border-width for first/last linked
    buttons in rtl
  * Ambiance, Radiance: use default backdrop colors for views and
    progress bars
  * Ambiance, Radiance: implement ambiance-rw inspired darker
    placessidebar
  * debian/control: change dependency from python3-scour to scour

 -- Marco Trevisan (Treviño) <mail@3v1n0.net>  Thu, 22 Mar 2018 08:28:08 +0000

ubuntu-themes (16.10+18.04.20180122.1-0ubuntu1) bionic; urgency=medium

  [ Carlo Lobrano ]
  * Ambiance, Radiance: Fixed focus ring for combo boxes
  * Ambiance, Radiance: Fixed link button mouseover
  * Ambiance, Radiance: fix checkbutton and radiobutton highlight
  * Ambiance, Radiance: Fixed grey background appears in step fields

 -- Marco Trevisan (Treviño) <mail@3v1n0.net>  Mon, 22 Jan 2018 12:01:31 +0000

ubuntu-themes (16.10+18.04.20171224.1-0ubuntu1) bionic; urgency=medium

  * Update Build-Depends:
    - python-rsvg  -> gir1.2-rsvg-2.0
    - python-scour -> python3-scour (>= 0.36)
    - Add python3-gi-cairo (for scour's cmpsvg feature)
  * Bump debhelper compat to 10
  * Bump Standards-Version to 4.1.2

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 24 Dec 2017 00:20:15 +0000

ubuntu-themes (16.10+18.04.20171115.1-0ubuntu1) bionic; urgency=medium

  [ Matthieu James ]
  * Last update of the Suru icon theme before I leave the company. Not
    sure it's very useful anymore but at least the source files will be
    archived. Too many changes to be listed here but everything is
    commented commit by commmit.

 -- Marco Trevisan (Treviño) <mail@3v1n0.net>  Wed, 15 Nov 2017 20:41:43 +0000

ubuntu-themes (16.10+18.04.20171114-0ubuntu1) bionic; urgency=medium

  [ Andrea Azzarone ]
  * Fix osd progress bar look. (LP: #1724808)

  [ Carlo Lobrano ]
  * Ambiance, Radiance: fix horizontal linked suggested-action and
    destructive-action (LP: #1721102)
  * Ambiance, Radiance: Fixed border in switcher widget (LP: #1719355)

  [ Marco Trevisan (Treviño) ]


=== debian/control ===
Source: ubuntu-themes
Section: gnome
Priority: optional
Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
Build-Depends: debhelper (>= 10),
               gir1.2-rsvg-2.0,
               icon-naming-utils,
               python3,
               python3-gi-cairo,
               scour (>= 0.36)
Standards-Version: 4.1.2
Homepage: https://launchpad.net/ubuntu-themes
# If you aren't a member of ~ubuntu-art-pkg but need to upload
# packaging changes, just go ahead. ~ubuntu-art-pkg will notice
# and sync up the code again.
Vcs-Bzr: https://code.launchpad.net/~ubuntu-art-pkg/ubuntu-themes/trunk
Vcs-Browser: https://bazaar.launchpad.net/~ubuntu-art-pkg/ubuntu-themes/trunk

Package: light-themes
Architecture: all
Multi-Arch: foreign
Depends: gtk2-engines-murrine (>= 0.90.3+git20100810),
         humanity-icon-theme,
         ubuntu-mono,
         ${misc:Depends},
Description: Light Themes (Ambiance and Radiance)
 Includes matching Ambiance and Radiance themes
 .
 * Ambiance is a light-on-dark theme
 * Radiance is a dark-on-light theme
 .
 Introduced as the default themes in Ubuntu 10.04 LTS.

Package: ubuntu-mono
Architecture: all
Multi-Arch: foreign
Depends: adwaita-icon-theme,
         hicolor-icon-theme,
         humanity-icon-theme,
         ${misc:Depends},
Description: Ubuntu Mono Icon theme
 Dark and Light panel icons to make your desktop beautiful.

Package: ubuntu-artwork
Architecture: all
Multi-Arch: foreign
Depends: adium-theme-ubuntu,
         light-themes,
         ubuntu-mono,
         ubuntu-wallpapers,
         ${misc:Depends},
Description: Ubuntu themes and artwork
 This package contains the Distributor Logo and pulls in all the
 other components via Depends.

Package: ubuntu-mobile-icons
Architecture: all
Multi-Arch: foreign
Depends: hicolor-icon-theme,
         ${misc:Depends},
Provides: ubuntu-mobile,
Conflicts: ubuntu-mobile,
Replaces: ubuntu-mobile,
Description: Ubuntu Mobile Icon theme
 Ubuntu mobile icons used for phone and tablet applications and shell.

Package: suru-icon-theme
Architecture: all
Multi-Arch: foreign
Depends: ubuntu-mobile-icons,
         hicolor-icon-theme,
         ${misc:Depends},
Description: Ubuntu Suru Icon theme
 Suru icon theme for Ubuntu Touch.

=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DPKG_GENSYMBOLS_CHECK_LEVEL=4

DEB_VERSION := $(shell dpkg-parsechangelog | egrep '^Version:' | cut -f 2 -d ' ')

%:
	dh $@ --with scour --parallel

override_dh_install:
	dh_install --fail-missing
	mv debian/suru-icon-theme/usr/share/icons/suru-icons debian/suru-icon-theme/usr/share/icons/suru

override_dh_gencontrol:
	dh_gencontrol -pubuntu-artwork -- -v1:$(DEB_VERSION)
	dh_gencontrol --remaining-packages

## ubuntu-themes 20.2

=== debian/changelog ===
ubuntu-themes (2:20.2) artful; urgency=medium

  * reversioning

 -- Scott Vandergrift <scottandergrift@gmail.com>  Sat, 30 Sep 2017 00:29:04 -0500

ubuntu-themes (20.1) artful; urgency=medium

  * Branding

 -- Scott Vandergrift <scottvandergrift@gmail.com>  Fri, 29 Sep 2017 23:37:35 -0500

ubuntu-themes (20pearl8) artful; urgency=medium

  * added provides ubuntu-artwork

 -- Scott Vandergrift <scottandergrift@gmail.com>  Fri, 29 Sep 2017 08:24:41 -0500

ubuntu-themes (20pearl7) artful; urgency=medium

  * added provided ubuntu-themes 

 -- Scott Vandergrift <scottvandergrift@gmail.com>  Fri, 29 Sep 2017 08:16:54 -0500

ubuntu-themes (20pearl6) artful; urgency=medium

  * build after adium-theme-pearl

 -- Scott Vandergrift <scottvandergrift@gmail.com>  Fri, 29 Sep 2017 08:04:27 -0500

ubuntu-themes (20) artful; urgency=medium

  * Changed version number

 -- Scott Vandergrift <scottvandergrift@gmail.com>  Fri, 29 Sep 2017 07:24:27 -0500

ubuntu-themes (16.10+17.10.4pearl6) artful; urgency=medium

  * artfuul pearl release build

 -- Scott Vandergrift <scottvandergrift@gmail.com>  Fri, 29 Sep 2017 05:29:09 -0500

ubuntu-themes (16.10+17.10.20170925-1pearl6) artful; urgency=medium

  * branding for pearl distro

 -- Scott Vandergrift <scottvandergrift@gmail.com>  Fri, 29 Sep 2017 05:23:42 -0500

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,19 @@
 Source: ubuntu-themes
 Section: gnome
 Priority: optional
-Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
-Build-Depends: debhelper (>= 10),
-               gir1.2-rsvg-2.0,
+Maintainer: Scott Vandergrift <scottvandergrift@gmail.com>
+Build-Depends: debhelper (>= 9),
                icon-naming-utils,
-               python3,
-               python3-gi-cairo,
-               scour (>= 0.36)
-Standards-Version: 4.1.2
+               python,
+               python-rsvg,
+               python-scour,
+Standards-Version: 3.9.5
 Homepage: https://launchpad.net/ubuntu-themes
 # If you aren't a member of ~ubuntu-art-pkg but need to upload
 # packaging changes, just go ahead. ~ubuntu-art-pkg will notice
 # and sync up the code again.
-Vcs-Bzr: https://code.launchpad.net/~ubuntu-art-pkg/ubuntu-themes/trunk
-Vcs-Browser: https://bazaar.launchpad.net/~ubuntu-art-pkg/ubuntu-themes/trunk
+#Vcs-Bzr: https://code.launchpad.net/~ubuntu-art-pkg/ubuntu-themes/trunk
+#Vcs-Browser: https://bazaar.launchpad.net/~ubuntu-art-pkg/ubuntu-themes/trunk
 
 Package: light-themes
 Architecture: all
@@ -23,6 +22,9 @@
          humanity-icon-theme,
          ubuntu-mono,
          ${misc:Depends},
+Provides: ubuntu-themes
+Conflicts: ubuntu-themes,
+Replaces: ubuntu-themes,
 Description: Light Themes (Ambiance and Radiance)
  Includes matching Ambiance and Radiance themes
  .
@@ -44,11 +46,11 @@
 Package: ubuntu-artwork
 Architecture: all
 Multi-Arch: foreign
-Depends: adium-theme-ubuntu,
+Depends: adium-theme-pearl,
          light-themes,
          ubuntu-mono,
-         ubuntu-wallpapers,
          ${misc:Depends},
+Provides: ubuntu-artwork
 Description: Ubuntu themes and artwork
  This package contains the Distributor Logo and pulls in all the
  other components via Depends.

## ubuntu-themes 20.10-0ubuntu2+11.0trisquel2

=== debian/changelog ===
ubuntu-themes (20.10-0ubuntu2+11.0trisquel2) aramo; urgency=medium

  * Rebrand logo for trisquel mono themes.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Fri, 21 Jun 2024 05:14:24 +0000

ubuntu-themes (20.10-0ubuntu2) jammy; urgency=medium

  * Replace the distributor-logo by the new icons

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 18 Mar 2022 17:28:25 +0100

ubuntu-themes (20.10-0ubuntu1) groovy; urgency=medium

  * Set color for gnome-flashback desktop icons.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Sat, 29 Aug 2020 13:25:21 +0300

## ubuntu-themes 24.04-0ubuntu1trisquel1

=== debian/changelog ===
ubuntu-themes (24.04-0ubuntu1trisquel1) ecne; urgency=medium

  * Rebrand logo for trisquel mono themes.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Mon, 07 Oct 2024 17:42:54 +0000

ubuntu-themes (24.04-0ubuntu1) noble; urgency=medium

  * Drop suru-icon-theme; it is now built by a different source package
  * Bump debhelper-compat to 13

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 07 Mar 2024 13:39:57 -0500

=== debian/control ===
Source: ubuntu-themes
Section: gnome
Priority: optional
Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-scour,
               gir1.2-rsvg-2.0,
               icon-naming-utils,
               python3-gi-cairo,
Standards-Version: 4.1.2
Homepage: https://launchpad.net/ubuntu-themes
# If you aren't a member of ~ubuntu-art-pkg but need to upload
# packaging changes, just go ahead. ~ubuntu-art-pkg will notice
# and sync up the code again.
Vcs-Bzr: https://code.launchpad.net/~ubuntu-art-pkg/ubuntu-themes/trunk
Vcs-Browser: https://bazaar.launchpad.net/~ubuntu-art-pkg/ubuntu-themes/trunk

Package: light-themes
Architecture: all
Multi-Arch: foreign
Depends: gtk2-engines-murrine (>= 0.90.3+git20100810),
         humanity-icon-theme,
         ubuntu-mono,
         ${misc:Depends},
Description: Light Themes (Ambiance and Radiance)
 Includes matching Ambiance and Radiance themes
 .
 * Ambiance is a light-on-dark theme
 * Radiance is a dark-on-light theme
 .
 Introduced as the default themes in Ubuntu 10.04 LTS.

Package: ubuntu-mono
Architecture: all
Multi-Arch: foreign
Depends: adwaita-icon-theme,
         hicolor-icon-theme,
         humanity-icon-theme,
         ${misc:Depends},
Description: Ubuntu Mono Icon theme
 Dark and Light panel icons to make your desktop beautiful.

Package: ubuntu-artwork
Architecture: all
Multi-Arch: foreign
Depends: adium-theme-ubuntu,
         light-themes,
         ubuntu-mono,
         ubuntu-wallpapers,
         ${misc:Depends},
Description: Ubuntu themes and artwork
 This package contains the Distributor Logo and pulls in all the
 other components via Depends.

Package: ubuntu-mobile-icons
Architecture: all
Multi-Arch: foreign
Depends: hicolor-icon-theme,
         ${misc:Depends},
Provides: ubuntu-mobile,
Conflicts: ubuntu-mobile,
Replaces: ubuntu-mobile,
Description: Ubuntu Mobile Icon theme
 Ubuntu mobile icons used for phone and tablet applications and shell.

=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_VERSION := $(shell dpkg-parsechangelog | egrep '^Version:' | cut -f 2 -d ' ')

%:
	dh $@

override_dh_gencontrol:
	dh_gencontrol -pubuntu-artwork -- -v1:$(DEB_VERSION)
	dh_gencontrol --remaining-packages
